import request from "@/utils/request";

// 查询车辆类型对应的照片种类
export function getPhotosByCllx(query) {
  return request({
    url: "/cllxzpzl/cllxzpzl/getPhotosByCllx",
    method: "get",
    params: query,
  });
}

// 保存车辆类型绑定照片种类
export function setPhotosByCllx(cllx, cyzps, zlzps, region) {
  return request({
    url: "/cllxzpzl/cllxzpzl/setPhotosByCllx",
    method: "put",
    params: {
      cllx: cllx,
      cyzps: cyzps,
      zlzps: zlzps,
      region: region,
    },
  });
}
