import request from '@/utils/request'

// 查询检测线信息管理列表
export function listJcxinfo(query) {
  return request({
    url: '/system/jcxinfo/list',
    method: 'get',
    params: query
  })
}

// 查询检测线信息管理详细
export function getJcxinfo(ID) {
  return request({
    url: '/system/jcxinfo/' + ID,
    method: 'get'
  })
}

// 新增检测线信息管理
export function addJcxinfo(data) {
  return request({
    url: '/system/jcxinfo',
    method: 'post',
    data: data
  })
}

// 修改检测线信息管理
export function updateJcxinfo(data) {
  return request({
    url: '/system/jcxinfo/update',
    method: 'post',
    data: data
  })
}

// 删除检测线信息管理
export function delJcxinfo(ID) {
  return request({
    url: '/system/jcxinfo/' + ID,
    method: 'delete'
  })
}
