import request from '@/utils/request'

// 查询检测站管理列表
export function listJczinfo(query) {
  return request({
    url: '/system/jczinfo/list',
    method: 'get',
    params: query
  })
}

// 查询检测站管理详细
export function getJczinfo(id) {
  return request({
    url: '/system/jczinfo/' + id,
    method: 'get'
  })
}

// 新增检测站管理
export function addJczinfo(data) {
  return request({
    url: '/system/jczinfo',
    method: 'post',
    data: data
  })
}

// 修改检测站管理
export function updateJczinfo(data) {
  return request({
    url: '/system/jczinfo/update',
    method: 'post',
    data: data
  })
}

// 删除检测站管理
export function delJczinfo(id) {
  return request({
    url: '/system/jczinfo/' + id,
    method: 'delete'
  })
}
