/*
 * @Author: whh 494012457@qq.com
 * @Date: 2024-04-24 16:46:10
 * @LastEditors: whh 494012457@qq.com
 * @LastEditTime: 2024-04-24 17:05:40
 * @FilePath: \ajpt-vue\src\api\jjkj\report.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from "@/utils/request";

// 查询车辆流水列表
export function listReport(query) {
  return request({
    url: "/jjkj/report/list",
    method: "get",
    params: query,
  });
}

// 查询车辆流水详细
export function getReport(id) {
  return request({
    url: "/jjkj/report/" + id,
    method: "get",
  });
}

// 新增车辆流水

export function addReport(data) {
  return request({
    url: "/jjkj/report",
    method: "post",
    data: data,
  });
}

// 修改车辆流水

export function updateReport(data) {
  return request({
    url: "/jjkj/report",
    method: "put",
    data: data,
  });
}

// 删除车辆流水

export function delReport(id) {
  return request({
    url: "/jjkj/report/" + id,
    method: "delete",
  });
}
