import request from '@/utils/request'

// 查询人工检验通道配置列表
export function listRgjytd(query) {
  return request({
    url: '/system/rgjytd/list',
    method: 'get',
    params: query
  })
}

// 查询人工检验通道配置详细
export function getRgjytd(id) {
  return request({
    url: '/system/rgjytd/' + id,
    method: 'get'
  })
}

// 新增人工检验通道配置
export function addRgjytd(data) {
  return request({
    url: '/system/rgjytd',
    method: 'post',
    data: data
  })
}

// 修改人工检验通道配置
export function updateRgjytd(data) {
  return request({
    url: '/system/rgjytd',
    method: 'put',
    data: data
  })
}

// 删除人工检验通道配置
export function delRgjytd(id) {
  return request({
    url: '/system/rgjytd/' + id,
    method: 'delete'
  })
}
