/*
 * @Author: zy 2862187050@qq.com
 * @Date: 2024-04-09 10:58:33
 * @LastEditors: whh 494012457@qq.com
 * @LastEditTime: 2024-04-29 15:55:47
 * @FilePath: \ajpt-vue\src\api\shinfo\shinfo.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from "@/utils/request";

// 查询车辆报告表
export function listResultReport(query) {
  return request({
    url: "/system/report/list",
    method: "get",
    params: query,
  });
}

// 查询车辆报告表
export function listResultReportCarInfo(query) {
  return request({
    url: "/system/report/getCar",
    method: "get",
    params: query,
  });
}

// 查询车辆检验仪器信息表
export function listResultInstrument(query) {
  return request({
    url: "/system/instrument/list",
    method: "get",
    params: query,
  });
}
// 查询车辆检验仪器信息表
export function getInstrument(query) {
  return request({
    url: "/system/instrument/getInstrument",
    method: "get",
    params: query,
  });
}

// 查询车辆路试表
export function listRoadTest(query) {
  return request({
    url: "/system/roadtest/list",
    method: "get",
    params: query,
  });
}
//查询车辆人工检验信息表
export function listResultManual(query) {
  return request({
    url: "/system/manual/list",
    method: "get",
    params: query,
  });
}
