import request from '@/utils/request'

// 查询字典-视频扩展配置列表
export function listDualvideo(query) {
  return request({
    url: '/system/dualvideo/list',
    method: 'get',
    params: query
  })
}

// 查询字典-视频扩展配置详细
export function getDualvideo(id) {
  return request({
    url: '/system/dualvideo/' + id,
    method: 'get'
  })
}

// 新增字典-视频扩展配置
export function addDualvideo(data) {
  return request({
    url: '/system/dualvideo',
    method: 'post',
    data: data
  })
}

// 修改字典-视频扩展配置
export function updateDualvideo(data) {
  return request({
    url: '/system/dualvideo',
    method: 'put',
    data: data
  })
}

// 删除字典-视频扩展配置
export function delDualvideo(id) {
  return request({
    url: '/system/dualvideo/' + id,
    method: 'delete'
  })
}
