import request from '@/utils/request'
//获取运管流水号
export function getJylsh(id) {
  return request({
    url: '/report/ywls/getJylsh',
    method: 'post',
    params: id
  })
}

/**
 * 运管信息列表
 * @param query
 * @returns {*}
 */
export function listFlow(query) {
  return request({
    url: '/system/flow/getTransportList',
    method: 'get',
    params: query
  })
}

export function updateReport(query) {
  return request({
    url: '/system/report/updateReport',
    method: 'get',
    params: query
  })
}
export function updateMananul(query) {
  return request({
    url: '/system/manual/updateMananul',
    method: 'post',
    params: query
  })
}
