import request from '@/utils/request'

// 查询接口访问日志列表
export function listWebserverslog(query) {
  return request({
    url: '/webserverslog/webserverslog/list',
    method: 'get',
    params: query
  })
}

// 查询接口访问日志详细
export function getWebserverslog(id) {
  return request({
    url: '/webserverslog/webserverslog/' + id,
    method: 'get'
  })
}

// 新增接口访问日志
export function addWebserverslog(data) {
  return request({
    url: '/webserverslog/webserverslog',
    method: 'post',
    data: data
  })
}

// 修改接口访问日志
export function updateWebserverslog(data) {
  return request({
    url: '/webserverslog/webserverslog',
    method: 'put',
    data: data
  })
}

// 删除接口访问日志
export function delWebserverslog(id) {
  return request({
    url: '/webserverslog/webserverslog/' + id,
    method: 'delete'
  })
}
