import request from '@/utils/request'

// 查询违规车辆管理列表
export function listWgcarinfo(query) {
  return request({
    url: '/wg/wgcarinfo/list',
    method: 'get',
    params: query
  })
}

// 查询违规车辆管理详细
export function getWgcarinfo(id) {
  return request({
    url: '/wg/wgcarinfo/' + id,
    method: 'get'
  })
}

// 新增违规车辆管理
export function addWgcarinfo(data) {
  return request({
    url: '/wg/wgcarinfo',
    method: 'post',
    data: data
  })
}

// 修改违规车辆管理
export function updateWgcarinfo(data) {
  return request({
    url: '/wg/wgcarinfo',
    method: 'put',
    data: data
  })
}

// 删除违规车辆管理
export function delWgcarinfo(id) {
  return request({
    url: '/wg/wgcarinfo/' + id,
    method: 'delete'
  })
}
