/*
 * @Author: zy 2862187050@qq.com
 * @Date: 2024-04-02 14:24:37
 * @LastEditors: zy 2862187050@qq.com
 * @LastEditTime: 2024-04-02 16:11:02
 * @FilePath: \ajpt-vue\src\api\xycarinfo\xycarinfo.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from "@/utils/request";

// 查询嫌疑车辆信息列表
export function listXycarinfo(query) {
  return request({
    url: "/xycarinfo/xycarinfo/list",
    method: "get",
    params: query,
  });
}

// 查询嫌疑车辆信息详细
export function getXycarinfo(id) {
  return request({
    url: "/xycarinfo/xycarinfo/" + id,
    method: "get",
  });
}

// 新增嫌疑车辆信息
export function addXycarinfo(data) {
  return request({
    url: "/xycarinfo/xycarinfo",
    method: "post",
    data: data,
  });
}

// 修改嫌疑车辆信息
export function updateXycarinfo(data) {
  return request({
    url: "/xycarinfo/xycarinfo",
    method: "put",
    data: data,
  });
}

// 删除嫌疑车辆信息
export function delXycarinfo(id) {
  return request({
    url: "/xycarinfo/xycarinfo/" + id,
    method: "delete",
  });
}
