import request from '@/utils/request'

// 查询校准记录表列表
export function listCalibration(query) {
  return request({
    url: '/calibration/calibration/list',
    method: 'get',
    params: query
  })
}

// 查询校准记录表详细
export function getCalibration(id) {
  return request({
    url: '/calibration/calibration/' + id,
    method: 'get'
  })
}

// 新增校准记录表
export function addCalibration(data) {
  return request({
    url: '/calibration/calibration',
    method: 'post',
    data: data
  })
}

// 修改校准记录表
export function updateCalibration(data) {
  return request({
    url: '/calibration/calibration',
    method: 'put',
    data: data
  })
}

// 删除校准记录表
export function delCalibration(id) {
  return request({
    url: '/calibration/calibration/' + id,
    method: 'delete'
  })
}
