import request from '@/utils/request'

// 查询录像通道配置列表
export function listDvrconfig(query) {
  return request({
    url: '/dvrconfig/dvrconfig/list',
    method: 'get',
    params: query
  })
}

// 查询录像通道配置详细
export function getDvrconfig(id) {
  return request({
    url: '/dvrconfig/dvrconfig/' + id,
    method: 'get'
  })
}

// 新增录像通道配置
export function addDvrconfig(data) {
  return request({
    url: '/dvrconfig/dvrconfig',
    method: 'post',
    data: data
  })
}

// 修改录像通道配置
export function updateDvrconfig(data) {
  return request({
    url: '/dvrconfig/dvrconfig',
    method: 'put',
    data: data
  })
}

// 删除录像通道配置
export function delDvrconfig(id) {
  return request({
    url: '/dvrconfig/dvrconfig/' + id,
    method: 'delete'
  })
}
