import request from "@/utils/request";

// 查询车辆流水
export function listFlow(query) {
  return request({
    url: "/system/flow/list",
    method: "get",
    params: query,
  });
}
// 查询车辆流水
export function getCarInfo(query) {
  return request({
    url: "/system/report/getCarInfo",
    method: "post",
    params: query,
  });
}
export function getVideoCarInfo(query) {
  return request({
    url: "/system/flow/getVideoCarInfo",
    method: "get",
    params: query,
  });
}

// 查询车辆流水
export function getFlow(id) {
  return request({
    url: "/system/flow/" + id,
    method: "get",
  });
}
// 退办车辆流水

export function WithDrawalFlow(id) {
  return request({
    url: "/system/flow/returnFlow/" + id,
    method: "post",
  });
}

// 查询车辆统计数据
export function listCarCount() {
  return request({
    url: "/system/flow/carCount",
    method: "get",
  });
}
