import request from '@/utils/request'

// 查询检验合格限值列表
export function listJyhgxz(query) {
  return request({
    url: '/jyhgxz/list',
    method: 'get',
    params: query
  })
}

// 查询检验合格限值详细
export function getJyhgxz(id) {
  return request({
    url: '/jyhgxz/' + id,
    method: 'get'
  })
}

// 新增检验合格限值
export function addJyhgxz(data) {
  return request({
    url: '/jyhgxz',
    method: 'post',
    data: data
  })
}

// 修改检验合格限值
export function updateJyhgxz(data) {
  return request({
    url: '/jyhgxz',
    method: 'put',
    data: data
  })
}

// 删除检验合格限值
export function delJyhgxz(id) {
  return request({
    url: '/jyhgxz/' + id,
    method: 'delete'
  })
}
