import request from '@/utils/request'

// 查询安全日志操作列表
export function listSecuritylog(query) {
  return request({
    url: '/logging/securitylog/list',
    method: 'get',
    params: query
  })
}

// 查询安全日志操作详细
export function getSecuritylog(id) {
  return request({
    url: '/logging/securitylog/' + id,
    method: 'get'
  })
}

// 统计列表
export function tjlist(query) {
    return request({
      url: '/logging/securitylog/tjlist',
      method: 'get',
      params: query
    })
  }



// 删除安全日志操作
export function delSecuritylog(id) {
  return request({
    url: '/logging/securitylog/' + id,
    method: 'delete'
  })
}
