import request from "@/utils/request";

// 查询whiteIP列表
export function listWhitelist(query) {
  return request({
    url: "/whitelist/whitelist/list",
    method: "get",
    params: query,
  });
}

// 查询whiteIP详细
export function getWhitelist(id) {
  return request({
    url: "/whitelist/whitelist/" + id,
    method: "get",
  });
}

// 新增whiteIP
export function addWhitelist(data) {
  return request({
    url: "/whitelist/whitelist",
    method: "post",
    data: data,
  });
}

// 修改whiteIP
export function updateWhitelist(data) {
  return request({
    url: "/whitelist/whitelist",
    method: "put",
    data: data,
  });
}

// 删除whiteIP
export function delWhitelist(id) {
  return request({
    url: "/whitelist/whitelist/" + id,
    method: "delete",
  });
}
